#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#ifdef sun
#include <tzfile.h>
#else
#define TM_YEAR_BASE 1900
#endif

#define Y2KSEC 946681200 

void tm_out(char *mess,struct tm *mytm)
{

  printf("%s: ",mess);
  printf("sec: %i, ",mytm->tm_sec);
  printf("min: %i, ",mytm->tm_min);
  printf("hour: %i, ",mytm->tm_hour);
  printf("day: %i, ",mytm->tm_mday);
  printf("month: %i, ",mytm->tm_mon+1);
  printf("year: %i\n",mytm->tm_year+TM_YEAR_BASE);

}

void main(void)
{
 struct tm *tm_ptr;
 char buf[9];
 int years[100];
 char s[20];
 time_t secs;
 

 tm_ptr = (struct tm *)malloc(sizeof(struct tm));

 for (secs=Y2KSEC-1;secs<Y2KSEC+2;secs++)
   {
     tm_ptr = gmtime(&secs);
     tm_out("gmtime",tm_ptr);

     tm_ptr= localtime(&secs);
     tm_out("lctime",tm_ptr);

     printf("\n");
   }
}

